<template>
    <section class="heroshort relative flex items-center justify-center px-12 overflow-hidden z-30" style="height: 35rem;">

        <!-- Background -->
        <div class="heroshort__background">
            <img
                :src="require('~/assets/images/' + background)"
                alt="background"
                class="heroshort__background--image absolute inset-0 object-cover w-full h-full z-10"
            >
        </div>

        <!-- Contenu -->
        <div class="heroshort__container text-center z-20">

            <!-- Titre -->
            <h1 class="h1 h1__title pb-5">{{ title }}</h1>

            <!-- Description -->
            <p class="p">{{ description }}</p>

        </div>

    </section>
</template>

<script>

// Importation du plugin GSAP (pour les animations)
import { gsap } from "gsap";

export default {

    // Nom du composant
    name: 'HeroCustomShort',

    // Données en paramètres du composant
    props: {
        title: { type: String, default: () => { } },
        description: { type: String, default: () => { } },
        background: { type: String, default: () => { } },
    },

    // Données du composant
    data() {
        return {
            // data
        }
    },

    // Script à éxécuter au chargement du composant
    mounted() {
        // mounted
    },

    // Méthodes du composant
    methods: {
        // methods
    }
}

</script>
